.bar-footer {
    overflow: visible !important;
}

.messages {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-align-content: center;
    -ms-flex-line-pack: center;
    align-content: center;
    -webkit-box-align: center;
    -moz-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    margin-bottom: 20px;
    .message {
        -webkit-box-flex: 1;
        -moz-box-flex: 1;
        -webkit-flex: 1 1 auto;
        -ms-flex: 1 1 auto;
        flex: 1 1 auto;
        padding: 10px;
        -webkit-transition: all 250ms ease-in-out;
        transition: all 250ms ease-in-out;
        overflow: hidden;
        text-align: left;
        -webkit-transform: translate3d(0, 0, 0);
        -moz-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }
}

.time {
    -webkit-box-flex: 0;
    -moz-box-flex: 0;
    -webkit-flex: 0 1 auto;
    -ms-flex: 0 1 auto;
    flex: 0 1 auto;
    -webkit-align-self: auto;
    -ms-flex-item-align: auto;
    align-self: auto;
    width: 120px;
    text-align: center;
    padding: 0 0 0 0;
    -webkit-transition: all 250ms ease-in-out;
    transition: all 250ms ease-in-out;
    -webkit-transform: translate3d(10px, 0, 0);
    -moz-transform: translate3d(10px, 0, 0);
    transform: translate3d(10px, 0, 0);
    &.slide-right {
        -webkit-transform: translate3d(130px, 0, 0);
        -moz-transform: translate3d(130px, 0, 0);
        transform: translate3d(130px, 0, 0);
    }
}

.messages {
    .chat-avatar {
        float: left;
        margin-right: 10px;
        margin-top: 10px;
    }
    .chat-msg {
        background: #007AFF;
        display: inline-block;
        color: white;
        padding: 10px;
        border-radius: 10px;
        text-align: left;
        min-width: 50px;
        max-width: 80%;
        .chat-time {
            float: right;
            display: block;
            font-size: 10px;
        }
    }
    &.other {
        .message {
            -webkit-transform: translate3d(0, 0, 0);
            -moz-transform: translate3d(0, 0, 0);
            transform: translate3d(0, 0, 0);
            text-align: right;
        }
        .chat-avatar {
            float: right;
            margin-right: 0px;
            margin-top: 10px;
            margin-left: 10px;
        }
        .chat-msg {
            color: black;
            background-color: #C7C7CC;
            .chat-time {
                float: right;
                display: block;
                font-size: 10px;
            }
        }
    }
}